Subject: bug#3237 closed by Jason Rumney <[email-masked]> (Re: bug#3237: Bug report, going back to 22.1)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 21 Jun 2009 03:50:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#3237: Bug report, going back to 22.1

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
3237: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3237
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3237: Bug report, going back to 22.1
From: Jason Rumney <[email-masked]>
To: [email-masked]
Cc: "A. Jan Kutylowski" <[email-masked]>
Date: Sun, 21 Jun 2009 11:43:42 +0800

Jason Rumney wrote:
> Please explain what keys you press, what characters you expect to see, 
> and what characters you do see.  I have tried setting my keyboard to 
> Polish (214) and pressing the keys indicated in the keymap at
>    http://ascii-table.com/img/keyboard-214.png
> All of the keys that are present on my keyboard seem to work, but some 
> of the characters you report above are missing from that keymap.
> Windows has another Polish keymap, but I can't find any documentation 
> of which keys I need to press to get non-ASCII characters.

OK, I found the bug. The characters in question are in the range 128-159 
in windows-1250. Since your system codepage is windows-1252, they are 
being interpreted by Emacs first as windows-1252 characters. These map 
to unicode codepoints above 255, so the keyboard-coding-system has no 
effect on them (they are outside the range expected by windows-1250).

Actually, this reveals that since the addition of multibyte keyboard 
handling in w32term.c, it will only work if the system codepage matches 
the keyboard locale, or if the system codepage is windows-1252 and the 
input characters are in the range 160-255 where their values will not be 
changed, and keyboard-coding-system can be used to postprocess them.  
Since this is a regression compared to the raw keyboard input of Emacs 
22.1 and earlier which could always be post-processed by 
keyboard-coding-system, I have checked in the fix before the branch is 
created.

Subject: Bug report, going back to 22.1
From: "A. Jan Kutylowski" <[email-masked]>
To: [email-masked]
Date: Thu, 07 May 2009 19:14:21 +0200

From:  <andrzejk@SV-STUD-0-93>
To: [email-masked]
Subject: keyboard
--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

+++
After Emacs 22.1 Emacs does not recognize a change in the keyboard
setup under Windows XP. I have been using Emacs since version 20.3 to
write in Polish after declaring the Polish language for the keyboard
and after declaring cp1250-dos for the kayboard (and appropriately for 
the buffer involved). Polish "letters" are
obtained using AltGr +key, or AltGr+Shift (right) +key. In particular, 
Emacs 22.3 has that bug, although retrospective testing showed that 22.1
reacts properly.

This is a considerable impediment. I am looking forward to your help
+++++

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
     `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
m:/PClib/Emacs22.3/etc/DEBUG for instructions.

In GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
  of 2008-09-06 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: NOR
   locale-coding-system: cp1252
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   display-time-mode: t
   iswitchb-mode: t
   shell-dirtrack-mode: t
   show-paren-mode: t
   delete-selection-mode: t
   encoded-kbd-mode: t
   tooltip-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   unify-8859-on-encoding-mode: t
   utf-translate-cjk-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
Loading iswitchb...done
Loading time...done
Loading advice...done
Loading bytecomp...done
Loading paren...done
Loading m:/PClib/Emacs22.3/site-lisp/header/header.el (source)...done
Loading desktop...done
No desktop file.
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading emacsbug...done